# Poco::Net

# class TimeoutNotification

Library: Net
Package: Reactor
Header: Poco/Net/SocketNotification.h

## Description

This notification is sent if no other event has occurred for a specified time.

## Inheritance

Direct Base Classes: SocketNotification

All Base Classes: SocketNotification, Poco::Notification, Poco::RefCountedObject

## Member Summary

Inherited Functions: duplicate, name, referenceCount, release, setSocket, socket, source

## Constructors

### TimeoutNotification

TimeoutNotification(
SocketReactor * pReactor
);

Creates the TimeoutNotification for the given SocketReactor.

## Destructor

### ~TimeoutNotification

~TimeoutNotification() override;

Destroys the TimeoutNotification.